apiVersion: v1
kind: ServiceAccount
metadata:
  name: cvmfs-csi-provisioner
  namespace: {{ .Release.Namespace }}

---
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  namespace: {{ .Release.Namespace }}
  name: cvmfs-external-provisioner-cfg
rules:
  - apiGroups: [""]
    resources: ["endpoints"]
    verbs: ["get", "watch", "list", "delete", "update", "create"]
  - apiGroups: [""]
    resources: ["configmaps"]
    verbs: ["get", "list", "create", "delete"]
  - apiGroups: ["coordination.k8s.io"]
    resources: ["leases"]
    verbs: ["get", "watch", "list", "delete", "update", "create"]

---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: cvmfs-csi-provisioner-role-cfg
  namespace: {{ .Release.Namespace }}
subjects:
  - kind: ServiceAccount
    name: cvmfs-csi-provisioner
    namespace: {{ .Release.Namespace }}
roleRef:
  kind: Role
  name: cvmfs-external-provisioner-cfg
  apiGroup: rbac.authorization.k8s.io

---
kind: ClusterRoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: cvmfs-csi-provisioner-role
subjects:
  - kind: ServiceAccount
    name: cvmfs-csi-provisioner
    namespace: {{ .Release.Namespace }}
roleRef:
  kind: ClusterRole
  name: system:csi-external-provisioner
  apiGroup: rbac.authorization.k8s.io
